Contacts
Restore a contact
PATCH
/
v1
/
contacts
/
{contact}
/
restore
Restore a contact
curl --request PATCH \
--url https://api.givebutter.com/v1/contacts/{contact}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.givebutter.com/v1/contacts/{contact}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.givebutter.com/v1/contacts/{contact}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"external_id": "<string>",
"contact_since": "<string>",
"type": "<string>",
"prefix": "<string>",
"first_name": "<string>",
"preferred_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"suffix": "<string>",
"gender": "<string>",
"pronouns": "<string>",
"dob": "<string>",
"company": "<string>",
"employer": "<string>",
"company_name": "<string>",
"title": "<string>",
"website_url": "<string>",
"twitter_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"tiktok_url": "<string>",
"instagram_url": "<string>",
"emails": [
{
"type": "<string>",
"value": "<string>"
}
],
"phones": [
{
"type": "<string>",
"value": "<string>"
}
],
"primary_email": "<string>",
"primary_phone": "<string>",
"note": "<string>",
"addresses": [
{
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"type": "<string>",
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"primary_address": {
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"type": "<string>",
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"last_donation_amount": "<string>",
"stats": {
"total_contributions": "<string>",
"recurring_contributions": "<string>"
},
"tags": "<string>",
"custom_fields": [
"<unknown>"
],
"external_ids": [
{
"id": 123,
"label": "<string>",
"external_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"is_email_subscribed": "<string>",
"is_phone_subscribed": "<string>",
"is_address_subscribed": "<string>",
"email_opt_in": "<string>",
"sms_opt_in": "<string>",
"address_unsubscribed_at": "<string>",
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"salutation_name": "<string>",
"point_of_contact": {
"id": "<string>",
"type": "<string>",
"prefix": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"suffix": "<string>",
"gender": "<string>",
"pronouns": "<string>",
"dob": "<string>",
"employer": "<string>",
"title": "<string>",
"twitter_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"tiktok_url": "<string>",
"instagram_url": "<string>",
"website_url": "<string>",
"emails": {},
"phones": {},
"primary_email": "<string>",
"primary_phone": "<string>",
"is_email_subscribed": "<string>",
"is_phone_subscribed": "<string>",
"is_address_subscribed": "<string>",
"address_unsubscribed_at": "<string>",
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_time_supporter_at": "<string>"
},
"associated_companies": [
{
"id": "<string>",
"type": "<string>",
"company_name": "<string>",
"name_display": "<string>",
"title": "<string>",
"twitter_url": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"tiktok_url": "<string>",
"instagram_url": "<string>",
"website_url": "<string>",
"image_url": "<string>",
"emails": {},
"phones": {},
"primary_email": "<string>",
"primary_phone": "<string>",
"is_email_subscribed": "<string>",
"is_phone_subscribed": "<string>",
"is_address_subscribed": "<string>",
"address_unsubscribed_at": "<string>",
"note": "<string>",
"addresses": [
{
"id": 123,
"account_id": 123,
"name": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"type": "<string>",
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"primary_address": {
"id": 123,
"account_id": 123,
"name": "<string>",
"address_1": "<string>",
"address_2": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"type": "<string>",
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"archived_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_time_supporter_at": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The contact ID
Response
ContactResource
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Restore a contact
